> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Search HFR

> Search Facility



## OpenAPI

````yaml get /abdm/nhpr/v1/hfr/search/{hfrId}
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/nhpr/v1/hfr/search/{hfrId}:
    get:
      description: Search Facility
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: Hfr ID
          in: path
          name: hfrId
          required: true
          schema:
            description: Hfr ID
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HandlerTypedAPIResponseGithubComEkaCareNdhmInternalNhprRepoModelsFacility
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    HandlerTypedAPIResponseGithubComEkaCareNdhmInternalNhprRepoModelsFacility:
      properties:
        data:
          $ref: '#/components/schemas/ModelsFacility'
        error: {}
        success:
          type: boolean
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ModelsFacility:
      properties:
        address:
          type: string
        districtLGDCode:
          type: string
        districtName:
          type: string
        facilityId:
          type: string
        facilityName:
          type: string
        facilityStatus:
          type: string
        facilityType:
          type: string
        facilityTypeCode:
          type: string
        latitude:
          type: string
        longitude:
          type: string
        ownership:
          type: string
        ownershipCode:
          type: string
        pincode:
          type: string
        stateLGDCode:
          type: string
        stateName:
          type: string
        subDistrictLGDCode:
          type: string
        subDistrictName:
          type: string
        systemOfMedicine:
          type: string
        systemOfMedicineCode:
          type: string
        villageCityTownLGDCode: {}
        villageCityTownName: {}
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````